uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marshall Schor <...@schor.com>
Subject Using the new m2e
Date Fri, 19 Apr 2013 19:37:10 GMT
I'll post updated instructions on our one-time-setup page.

Here's a summary.

Run on either Eclipse 3.7.2 or 4.2.2 (or later).  There are occasional "issues"
of various kinds (for me, while debugging) with 4.2.2; I hope it stabilizes by 4.3.

Install into the new Eclipse, m2e.  For 3.7.2, do *NOT* install from the 3.7.2
release update site (even though you'll find it there - it's an older, buggy
version).  Instead, go to www.eclipse.org/m2e and get the latest recommended
level from their download page.

For the 4.2.2 (latest) Eclipse, I believe this matches the 4.2.2 release update
site.

----------

The first time you import our maven projects, you'll get some warnings about m2e
lifecycle mappings missing.  You should follow the suggestions, picking the
option to have m2e "search for" connectors - and let it install those into your
Eclipse.

Thanks to Richard and Peter for their work on this! -Marshall

Mime
View raw message